interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        NxOm3/4f72iGF/f/AAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8222']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:07 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjgp0k.2.1505364067556.Z0FBQUFBQlp1Z2hqdlJEUVBHTlFSQ3VkU0haQnFlS1BnU3Ntend1UUtUODRaVnEwUWdWdjFSQ1BMcjltWEdBeTFpUzJOTjBWWDA2RDJ5NDU2YXo3WVJjU0NnZDZ3T3pXdTlaVlhnRVNnT0pYSTd2S2k4dExrRjZWX0RKOF9RenFPMmdDZU1hYWQ3RTE;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:41:07
          GMT; secure', 'session_tracker=UCOkghNDaxDQQNaHBR.0.1505364067551.Z0FBQUFBQlp1Z2hqOUpZZ044NUV3Wk9IZW1welhTc3k0dmFOeC1tMHZKUGFOYkgzeUJwcnlkOS1iRGVFUVlyQTRkTnpnZ0ZjbnpqUTE0d29Oc0FvQk1UdEl4NGpuUU5pazAtMkw1eEFXaG5yRm1TN2poQ0p4aFpIclFySjJjQ2FiWjhZTGhWR25VdjI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:07
          GMT; secure', edgebucket=YqFFO7IJIbH1qd6ro7; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1742-ORD]
      X-Timer: ['S1505364068.533528,VS0,VE193']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjgp0k.2.1505364067556.Z0FBQUFBQlp1Z2hqdlJEUVBHTlFSQ3VkU0haQnFlS1BnU3Ntend1UUtUODRaVnEwUWdWdjFSQ1BMcjltWEdBeTFpUzJOTjBWWDA2RDJ5NDU2YXo3WVJjU0NnZDZ3T3pXdTlaVlhnRVNnT0pYSTd2S2k4dExrRjZWX0RKOF9RenFPMmdDZU1hYWQ3RTE;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:41:07
          GMT; secure', 'session_tracker=UCOkghNDaxDQQNaHBR.0.1505364067551.Z0FBQUFBQlp1Z2hqOUpZZ044NUV3Wk9IZW1welhTc3k0dmFOeC1tMHZKUGFOYkgzeUJwcnlkOS1iRGVFUVlyQTRkTnpnZ0ZjbnpqUTE0d29Oc0FvQk1UdEl4NGpuUU5pazAtMkw1eEFXaG5yRm1TN2poQ0p4aFpIclFySjJjQ2FiWjhZTGhWR25VdjI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:07
          GMT; secure', edgebucket=YqFFO7IJIbH1qd6ro7; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=UciWJguiuJ6mF7hp0N77NjyL5ow3erB6NsUyxf2oM4S0iTlMtncbAXRdk%2FEqABji35j3DhOXXNE%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: grant_type=refresh_token&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&refresh_token=**********
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [edgebucket=YqFFO7IJIbH1qd6ro7; loid=00000000000drjgp0k.2.1505364067556.Z0FBQUFBQlp1Z2hqdlJEUVBHTlFSQ3VkU0haQnFlS1BnU3Ntend1UUtUODRaVnEwUWdWdjFSQ1BMcjltWEdBeTFpUzJOTjBWWDA2RDJ5NDU2YXo3WVJjU0NnZDZ3T3pXdTlaVlhnRVNnT0pYSTd2S2k4dExrRjZWX0RKOF9RenFPMmdDZU1hYWQ3RTE;
          session_tracker=UCOkghNDaxDQQNaHBR.0.1505364067551.Z0FBQUFBQlp1Z2hqOUpZZ044NUV3Wk9IZW1welhTc3k0dmFOeC1tMHZKUGFOYkgzeUJwcnlkOS1iRGVFUVlyQTRkTnpnZ0ZjbnpqUTE0d29Oc0FvQk1UdEl4NGpuUU5pazAtMkw1eEFXaG5yRm1TN2poQ0p4aFpIclFySjJjQ2FiWjhZTGhWR25VdjI]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body: {string: '{"access_token": "WaQsfJDXoOc7Lk6T9TmAV-muo-8", "token_type":
        "bearer", "device_id": "None", "expires_in": 3600, "scope": "edit history
        identity mysubreddits privatemessages read report save submit subscribe vote"}'}
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Length: ['214']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:07 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1747-ORD]
      X-Timer: ['S1505364068.900159,VS0,VE39']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=UCOkghNDaxDQQNaHBR.0.1505364067919.Z0FBQUFBQlp1Z2hqRXJOM3lXVzQ5SnpBdTdkWEJra3Z1bFVLU0hlSzBaRlR3WHdwY185eUZMMDRUQ0h3T242WWczRFI4dEQ5TjZHcTJ1TDAybTE0OG5wQkd2VEZRZ3ExVWd6S0dobWtQV3ZqNk9NT08tZ3liT1Yya3FucTQwNHhFdkZLcEFvYk90LW0;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:07
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAGQIulkC/61W227cNhD9FWOfXdvS+rLJW5o6rdsiiIsWBVoUBCWNVsxSJMPLrneD/ntnKGpF
        OdsmBfJirDW8nDlz5nA+LoRj0Bup9wCLl2ctlw7OzxYtcB8sOPz0ceGA27pjJlRS1Mxb3raijhG9
        U2DxV1qywJ1bbgVXnj4q2LG0d0UheDJgRQ/KM9HggrIo/8bPdcdpubeBbm40U9rTLfVm+uo6vWO8
        N0wKlX2WYgus48aAEmqNG3dTTKj3UHuGIOZQLUjYclXDM7QWeo2n1Vq50ENzEvDVkgDzxoHdgmUW
        jLYeb55uXUdEzju2tngwEThihTWv9yMhxkKb5+HoGEbnihqYxVSDmeJ4I+PBawZPHhRBSYFeV0IC
        20HFPLdrmINpoOVBeuasY52WjQ6U6RdwgSR4qyUrTrFQ3BUDCwewG3a6XgEzcSyllbED2mgTJLdM
        qK8IqSyuCNKuEx7oUmiY6TPuhar0EwrYddM3PMFpxaU4cC+0ihXJtgSDBWxID3ojYiMcz/KAneFP
        EV5b7ZzRGDRWt1iZKVRJXW8Y8cKqfVLOFD0WGEGEvMAaVbTG+yhOncqFzLD0VPgnvKvXrNcNlyPl
        rMZWxeLg8j1rhOuFc6JCpQidbUcaucICwhZmUoWQ0mZG4zn7jBXfY6iPzFMrZptabVG5nfcmBzjo
        UyHF2BcVV0OVxxIQU5h0IotV4PkUxaQb4QN6E7GD/wmLDZ1RE3ylkawh1yjAWTHIfqRer3GjYjWv
        u0/TiWhPHJ2atOEo8MnvTpAexYCMe4HcJ2LcnGTDsegMU8g+WY3i6ntkpZ5HpgbJwJD3Ib54eoPS
        nnvg5+Fgja2OfZK2DGqrSfbZNbUFUFuBrD3XAzE5KBa1xJHTvMA8Nf+MexeqoXzMBpl3TxKEA08y
        zQLJTo6WysoshlC3wpN5Dv64s9jozxiKreUsaq3PQseOpCOjK2VlIPlBX0FuqBmbHKlG7dHOicLM
        qvDhQj1jP56fdKrylFMVqztyqozRVuavFlZBS/lJBf5/o39S9Mx7Tfc1vbe8GZ6DweE8WuN/VM4C
        HzHRLjJdfD+iA3CFC6etOJi44EyU/GKaTOKOWZuoICUxN0ou5hTVgEdE6KJCa6Wl4yECPzPRk2AH
        D3h5eVld+C70lbsYTsERQPAL7KHLu1fSbO+t3vrH4vZKv3izf3hofnh9aH8uN9/A+/rFqvztNrx7
        HQ4PFwabAM8fjO6LbzC/L399WG7l4XZTbx6+s++ul2/6n+T3fyxfPW31sj18+/a+qH80rn4cb8BS
        G8n3Ue3x6RJPkaZFuKyR8elV6/gB2JK2dEg9tYg4UH8k1kaeIuKcZ6QTtSiqoWOKoSDjQEH8TZXa
        wB55lpHhBd0U+zGmNy1qgI4zyXPisvHuPvjZ1XluMSX2mZQGnlNGGczn7w0aY3ySF/92XrCSwpeE
        7CSPl1l1E5F/FuXq6vxsubr+C2MjZn/DlvLD3e0sT41g+aDEhEjTGFmssuTTlH2CLrJ9dAsuLAPF
        scdzzqKiR0Tlze35Gf4hQJMT+70Z6EQ4dB4PjQBs9jTIPK/KJIAEl/qVvhuckGfdtEYvwcnUCBu5
        ykoRFSk/KK6jLGI7O6JzWs2Cp7c17UA6RCtyQyanROJo8MFdaHokx7R6Ym/yDAKT8xJpn1Z0OEWN
        lwzj1DyGi1n6Oh6hcTDryGePlre4L/W9/+WxbdpX7dvHqESBs2KL/sysrnQEOe6Pddtw21M3lOWK
        UMV5tMbphWhH9Qy25rUZFhL5Q9WyNyDCm0OLu2K3OaX1lvtoiGN01OIpIRNmfPD50HnFdXlTLovb
        66sLAhMLWk8A6FtanMoVN1yVq7QBB6w0u413j0PimPfqRcrgKKvjM/APhXUFzIQOAAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['1418']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:08 GMT']
      Server: [snooserv]
      Set-Cookie: ['session_tracker=OTvFnL9yD0SgN3tVee.0.1505364068090.Z0FBQUFBQlp1Z2hrdVAxdXNfQ3lRZWZMUmJQbTM1OHFFeDFWbTlQMG4tWnB1eFdsNWFTWDFXZS1KYkZLWlcxRENmWndPRDNUZDVYT1VoUGJJdTczUDVKM1JxazQxalJsY3ptRkMzSU82S1hrZVYwOG1UZEV0bWg2QjI4d2JEU3FrYTNfTGh5MmUyZHY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:08
          GMT; secure', edgebucket=4NxsXKhJSD6wFU821d; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1725-ORD]
      X-Timer: ['S1505364068.076591,VS0,VE71']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=OTvFnL9yD0SgN3tVee.0.1505364068090.Z0FBQUFBQlp1Z2hrdVAxdXNfQ3lRZWZMUmJQbTM1OHFFeDFWbTlQMG4tWnB1eFdsNWFTWDFXZS1KYkZLWlcxRENmWndPRDNUZDVYT1VoUGJJdTczUDVKM1JxazQxalJsY3ptRkMzSU82S1hrZVYwOG1UZEV0bWg2QjI4d2JEU3FrYTNfTGh5MmUyZHY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:08
          GMT; secure', edgebucket=4NxsXKhJSD6wFU821d; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['587.0']
      x-ratelimit-reset: ['532']
      x-ratelimit-used: ['13']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [edgebucket=4NxsXKhJSD6wFU821d; session_tracker=OTvFnL9yD0SgN3tVee.0.1505364068090.Z0FBQUFBQlp1Z2hrdVAxdXNfQ3lRZWZMUmJQbTM1OHFFeDFWbTlQMG4tWnB1eFdsNWFTWDFXZS1KYkZLWlcxRENmWndPRDNUZDVYT1VoUGJJdTczUDVKM1JxazQxalJsY3ptRkMzSU82S1hrZVYwOG1UZEV0bWg2QjI4d2JEU3FrYTNfTGh5MmUyZHY]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/r/Python/comments/2xmo63/a_python_terminal_viewer_for_browsing_reddit/.json
  response:
    body:
      string: !!binary |
[encoded data, 12410 characters]
        HTxVQMk0cgtQhqNxd9g+ft/acDTojXW5UwGUmwnTv/4frrxIdzMAAQA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8363']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:08 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1725-ORD]
      X-Timer: ['S1505364069.537972,VS0,VE239']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['loid=0000000000000lqnao.2.1425202840186.Z0FBQUFBQlp1Z2hrY2NuNmtuWDZOclRkTTFfSDJIOEFHZjlmeDNsRlJJMjE2dWItMHVVTGN2bFlhR3lReHA4RUJoNFlvT2IzcFQwVzlkbmRFOVhIXzRZR0dsV1U0OVJselVQRy0ySGpDNlNocnpuc0dFeEt6a1A3c3JYbVU1RkpPUTRCQm0tNGR5Rnk;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:41:08
          GMT; secure', 'session_tracker=OTvFnL9yD0SgN3tVee.0.1505364068555.Z0FBQUFBQlp1Z2hrejJObVh6RTRSZWlJV3dqVEcxZEZuRzlTUnVjUEhjOWppUmJhb0hJOXF5Rkc2cTBLVjUwRThHOHNQRTNFMkxodmIyNndkaWhQTTZHX1ZjWEQwNXlNeGp2RVJ1ZE5RNllzUnV5SnpaanIwd2JlSDJCZGJFNk0wUnFGYTd2S3pVdGw;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:08
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['586.0']
      x-ratelimit-reset: ['532']
      x-ratelimit-used: ['14']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=Y41v9oCC0%2BJxYQ%2BQO%2FWcamcBPB9ESs7AAPIzeJwn%2FlZpGbMIRo10fmKCyH77%2BZ4dIm1qn1mmL3M2VRtNCkk3maLyjj74z8xu']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
